
class JSONTransformInterface():

	def toJSON(self):
		""" Function to generate a JSON string representation of this instance. Used for serialization.
		
		"""
		raise NotImplementedError("")

	@classmethod
	def fromJSON(cls, inpJSON):
		""" Construct a new instance from the JSON (dictionary-like) representation. Used for de-serialization (e.g. reading objects from a file)
		
		Args:
			inpJSON (str): JSON (dictionary-like) representation generated by cls.toJSON() 
				 
		Returns
			outObj (cls): Instance of this class
	 
		"""
		raise NotImplementedError("")



